# $Revision: 1.18 $, $Date: 2008/12/27 01:03:42 $
%include	/usr/lib/rpm/macros.php
%define		_class		XML
%define		_subclass	Feed_Parser
%define		_status		stable
%define		_pearname	XML_Feed_Parser

Summary:	%{_pearname} - unified API for handling RSS and ATOM feeds
Summary(pl.UTF-8):	%{_pearname} - zunifikowane API do obsługi źródeł RSS i ATOM
Name:		php-pear-%{_pearname}
Version:	1.0.3
Release:	1
Epoch:		0
License:	PHP License
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	35049f24534b72947b5f331252eb8d59
URL:		http://pear.php.net/package/XML_Feed_Parser/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(xml)
Requires:	php-pear
Requires:	php-common >= 4:5.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# files not distributed (bug reported)
%define _noautoreq 'pear(XML/Feed/Parser/RSS11.php)' 'pear(XML/Feed/Parser/RSS11Element.php)'

%description
XML_Feed_Parser is a parser for (the various) RSS and ATOM format XML
feeds. It attempts to provide a somewhat unified API while still
allowing access to the full details of each feed type.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
XML_Feed_Parser jest parserem dla (różnych) formatów XML źródeł RSS i
ATOM. Klasa ta stara się dostarczyć zunifikowanego API przy
jednoczesnej możliwości dostępu do pełnych informacji dotyczących
każdego źródła.

Ta klasa ma w PEAR status: %{_status}.

%package tests
Summary:	Tests for PEAR::%{_pearname}
Summary(pl.UTF-8):	Testy dla PEAR::%{_pearname}
Group:		Development/Languages/PHP
Requires:	%{name} = %{epoch}:%{version}-%{release}
AutoReq:	no
AutoProv:	no

%description tests
Tests for PEAR::%{_pearname}.

%description tests -l pl.UTF-8
Testy dla PEAR::%{_pearname}.

%prep
%pear_package_setup

mv ./%{php_pear_dir}/tests/%{_pearname}/{tests/*,}
rmdir ./%{php_pear_dir}/tests/%{_pearname}/tests

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f %{_docdir}/%{name}-%{version}/optional-packages.txt ]; then
	cat %{_docdir}/%{name}-%{version}/optional-packages.txt
fi

%files
%defattr(644,root,root,755)
%doc install.log
%doc optional-packages.txt
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/XML/Feed
%{php_pear_dir}/data/XML_Feed_Parser

%files tests
%defattr(644,root,root,755)
%{php_pear_dir}/tests/XML_Feed_Parser

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-XML_Feed_Parser.spec,v $
Revision 1.18  2008/12/27 01:03:42  adamg
- updated to 1.0.3

Revision 1.17  2008-01-31 12:16:50  glen
- rel 3

Revision 1.16  2007-11-12 15:21:24  glen
- requires php5; rel 2

Revision 1.15  2007/07/05 21:48:05  glen
- updated to 1.0.2

Revision 1.14  2007/02/28 01:52:18  glen
- 1.0.1

Revision 1.13  2007/02/12 22:09:12  glen
- tabs in preamble

Revision 1.12  2007/02/12 01:06:25  baggins
- converted to UTF-8

Revision 1.11  2006/12/30 10:27:22  adamg
- updated to 1.0.0

Revision 1.10  2006/05/23 20:18:15  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.9  2006/04/02 13:48:06  glen
- AutoProv: no for -tests

Revision 1.8  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.7  2006/02/20 21:48:14  glen
- group Development/Languages/PHP for -tests

Revision 1.6  2006/01/17 19:26:16  qboosh
- define Epoch to 0 explicitly when using it

Revision 1.5  2006/01/15 11:33:36  glen
- remove empty dir

Revision 1.4  2006/01/15 11:29:21  glen
- missing dirs; rel 2

Revision 1.3  2006/01/13 15:17:47  qboosh
- typo

Revision 1.2  2006/01/12 10:55:36  adamg
- apply -paths.patch (fixed paths in require_once)
- noautoreq for two files (not included in tarball)

Revision 1.1  2006/01/12 10:44:00  adamg
- new
